Bug 1005161 - rpm: fix "warning: File listed twice: .../glusterd.info"
rpm: fix "warning: File listed twice: .../glusterd.info"
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.4.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Niels de Vos
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 06:37 EDT by Niels de Vos
Modified: 2013-10-28 08:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 08:21:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2013-09-06 06:37:40 EDT
Description of problem:

Commit a482e422 added glusterd.info to the %files section of the
glusterfs-server package. However, this file was listed already. This
causes the following warning when building the RPMs:

    warning: File listed twice: /var/lib/glusterd/glusterd.info
Comment 1 Anand Avati 2013-09-06 06:38:55 EDT
REVIEW: http://review.gluster.org/5836 (rpm: fix "warning: File listed twice: .../glusterd.info") posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 2 Anand Avati 2013-09-08 12:50:14 EDT
COMMIT: http://review.gluster.org/5836 committed in master by Anand Avati (avati@redhat.com) 
------
commit d3e533fe333449a782b925414d856469987ee00a
Author: Niels de Vos <ndevos@redhat.com>
Date:   Fri Sep 6 12:08:19 2013 +0200

    rpm: fix "warning: File listed twice: .../glusterd.info"
    
    Commit a482e422 added glusterd.info to the %files section of the
    glusterfs-server package. However, this file was listed already. This
    causes the following warning when building the RPMs:
    
        warning: File listed twice: /var/lib/glusterd/glusterd.info
    
    Merging the attributes for /var/lib/glusterd/glusterd.info into one line
    prevents this warning.
    
    Change-Id: I0d518ec186a8725dc4c5cba00b60da83fdadf103
    BUG: 1005161
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/5836
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 3 Anand Avati 2013-10-27 09:07:00 EDT
REVIEW: http://review.gluster.org/6149 (rpm: fix "warning: File listed twice: .../glusterd.info") posted (#1) for review on release-3.4 by Niels de Vos (ndevos@redhat.com)
Comment 4 Anand Avati 2013-10-28 07:59:26 EDT
COMMIT: http://review.gluster.org/6149 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 65dd4dd4f553d9e2b7c2d19d66ce2f36a4ee7de9
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Oct 27 14:02:38 2013 +0100

    rpm: fix "warning: File listed twice: .../glusterd.info"
    
    Commit a482e422 added glusterd.info to the %files section of the
    glusterfs-server package. However, this file was listed already. This
    causes the following warning when building the RPMs:
    
        warning: File listed twice: /var/lib/glusterd/glusterd.info
    
    Merging the attributes for /var/lib/glusterd/glusterd.info into one line
    prevents this warning.
    
    This have been merged in the master branch:
    > Change-Id: I0d518ec186a8725dc4c5cba00b60da83fdadf103
    > Reviewed-on: http://review.gluster.org/5836
    > Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: Anand Avati <avati@redhat.com>
    
    BUG: 1005161
    Change-Id: I98633415675817a6170707ca9170bb59b77d1c24
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/6149
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.